System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 All public static members members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object Provides a diagnostic message facility.

The class provides a mechanism for applications to generate diagnostic messages based on the DEBUG conditional define.

In practice, this means that you can call methods on the class, but in order for them to actually be executed at runtime, you must define the DEBUG symbol during compilation. This can be done either through the C# keyword or through the C# compiler -define compiler option.

All diagnostic messages generated are indented by * space characters. Initially, is 0 (zero), so no indent is generated.

NOTE: The and classes share their public static properties.

- Method
  System.Void `` A boolean condition to check Displays a message if is . If is , then is invoked on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` A boolean condition to check A message to display Displays if is . If is , then is invoked on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` `` A boolean condition to check A message to display A more detailed message to display Displays and if is . If is , then is invoked on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Property
  System.Boolean Should be called on the after writing each message? Whether or not the objects should be ed after each write.

  If , will be invoked on each in the collection after any modifying operation (such as , , , etc.).

  This value is shared with the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void Closes all objects in the collection. Invokes the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Property
  2.0.0.0
  System.Diagnostics.CorrelationManager To be added. To be added. To be added.
- Method
  System.Void `` A message to display Send a failure message to all objects in the collection. Invokes the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` A message to display A more detailed message to display Send a failure message to all objects in the collection. Invokes the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void Flushes the contents of all objects in the collection. Invokes the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void Indents subsequent messages until the next call.

  This is equivalent to incrementing by one.

  1.0.5000.0
  2.0.0.0
  System.Diagnostics.Conditional("TRACE")
- Property
  System.Int32 The message indent level. The indent level.

  This effects how many levels of indentation are written before each message sent to the s.

  Sets the property on all objects in the collection.

  This value is shared with the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 The message indent size. The indent size.

  The indent size is the number of characters per .

  This effects how many characters of indentation are written before each message sent to the s.

  Sets the property on all objects in the collection.

  This value is shared with the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Diagnostics.TraceListenerCollection Gets the list of objects that messages are forwarded to. The list of objects to forward messages to.

  This collection is shared with the class.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  System.Diagnostics.Conditional("TRACE")
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Diagnostics.Conditional("TRACE")
  System.Void `` `System.ParamArray` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Diagnostics.Conditional("TRACE")
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Diagnostics.Conditional("TRACE")
  System.Void `` `System.ParamArray` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Diagnostics.Conditional("TRACE")
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Diagnostics.Conditional("TRACE")
  System.Void `` `System.ParamArray` To be added. To be added. To be added. To be added.
- Method
  System.Void Unindents subsequent messages.

  This is equivalent to decrementing by one.

  1.0.5000.0
  2.0.0.0
  System.Diagnostics.Conditional("TRACE")
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  System.Void `` An object to display Send to all objects in the collection. Invokes the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` A message to display Send to all objects in the collection. Invokes the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` An object to display The message category Send and its category to all objects in the collection. Invokes the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` A message to display The message category Send and its category to all objects in the collection. Invokes the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` Whether to display An object to display If is , send a to all objects in the collection. If is , invoke the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` Whether to display A message to display If is , send to all objects in the collection. If is , invoke the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` `` Whether to display An object to display The message category If is , send and its category to all objects in the collection. If is , invoke the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` `` Whether to display A message to display The message category If is , send and its category to all objects in the collection. If is , invoke the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` An object to display Send to all objects in the collection. Invokes the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` A message to display Send to all objects in the collection. Invokes the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` An object to display The message category Send and its category to all objects in the collection. Invokes the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` A message to display The message category Send and its category to all objects in the collection. Invokes the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` Whether to display An object to display If is , send a to all objects in the collection. If is , invoke the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` Whether to display A message to display If is , send to all objects in the collection. If is , invoke the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` `` Whether to display An object to display The message category If is , send and its category to all objects in the collection. If is , invoke the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")
- Method
  System.Void `` `` `` Whether to display A message to display The message category If is , send and its category to all objects in the collection. If is , invoke the method on all objects in the collection. 1.0.5000.0 2.0.0.0 System.Diagnostics.Conditional("TRACE")